package com.iamberry.wechat.core.entity.coupon;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.PageBean;

/**
 * 优惠券类型 实体
 * 2016年7月6日
 * @author Administrator
 *
 */
public class CouponType implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 6892613958003836843L;
	
	private Integer couponId;					//id
	private String couponName;				//优惠券名称
	private Integer couponTotal;				//优惠券总数
	private Integer couponUsedNum;				//已经领取券数量
	private Integer couponRemainingNum;			//剩余券数
	
	private Integer couponGetLimit;				//每人限领多少张
	private Integer couponType;					//优惠券折扣类型
	private Integer couponIsConcern;			//是否必须关注
	private Integer couponIsPurchase;			//是否必须购买		
	private Integer couponConsumeEnough;		//消费总金额要求（满足这个条件才能领券）

	private Integer couponReduce;				//减免率或者减免额
	private Integer couponGetDays;				//领取有效天数
	private Integer couponLimitHours;			//领券后有效时间（小时为单位）
	@DateTimeFormat(pattern="yyyy-MM-dd")  
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8") 
	private Date couponEndDate;				//券截止时间
	@DateTimeFormat(pattern="yyyy-MM-dd")  
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8") 
	private Date couponCreateDate;			//创建时间

	@DateTimeFormat(pattern="yyyy-MM-dd")  
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8") 
	private Date couponUpdateDate;			//更新时间
	private Integer couponIsGive;				//可否赠送他人
	private Integer couponPriorityLevels;		//券优先级别
	private String couponRemark;			//优惠券备注
	private PageBean page;					//分页
	public Integer getCouponId() {
		return couponId;
	}
	public void setCouponId(Integer couponId) {
		this.couponId = couponId;
	}
	public String getCouponName() {
		return couponName;
	}
	public void setCouponName(String couponName) {
		this.couponName = couponName;
	}
	public Integer getCouponTotal() {
		return couponTotal;
	}
	public void setCouponTotal(Integer couponTotal) {
		this.couponTotal = couponTotal;
	}
	public Integer getCouponUsedNum() {
		return couponUsedNum;
	}
	public void setCouponUsedNum(Integer couponUsedNum) {
		this.couponUsedNum = couponUsedNum;
	}
	public Integer getCouponRemainingNum() {
		return couponRemainingNum;
	}
	public void setCouponRemainingNum(Integer couponRemainingNum) {
		this.couponRemainingNum = couponRemainingNum;
	}
	public Integer getCouponGetLimit() {
		return couponGetLimit;
	}
	public void setCouponGetLimit(Integer couponGetLimit) {
		this.couponGetLimit = couponGetLimit;
	}
	public Integer getCouponType() {
		return couponType;
	}
	public void setCouponType(Integer couponType) {
		this.couponType = couponType;
	}
	public Integer getCouponIsConcern() {
		return couponIsConcern;
	}
	public void setCouponIsConcern(Integer couponIsConcern) {
		this.couponIsConcern = couponIsConcern;
	}
	public Integer getCouponIsPurchase() {
		return couponIsPurchase;
	}
	public void setCouponIsPurchase(Integer couponIsPurchase) {
		this.couponIsPurchase = couponIsPurchase;
	}
	public Integer getCouponConsumeEnough() {
		return couponConsumeEnough;
	}
	public void setCouponConsumeEnough(Integer couponConsumeEnough) {
		this.couponConsumeEnough = couponConsumeEnough;
	}
	public Integer getCouponReduce() {
		return couponReduce;
	}
	public void setCouponReduce(Integer couponReduce) {
		this.couponReduce = couponReduce;
	}
	public Integer getCouponGetDays() {
		return couponGetDays;
	}
	public void setCouponGetDays(Integer couponGetDays) {
		this.couponGetDays = couponGetDays;
	}
	public Integer getCouponLimitHours() {
		return couponLimitHours;
	}
	public void setCouponLimitHours(Integer couponLimitHours) {
		this.couponLimitHours = couponLimitHours;
	}
	public Date getCouponEndDate() {
		return couponEndDate;
	}
	public void setCouponEndDate(Date couponEndDate) {
		this.couponEndDate = couponEndDate;
	}
	public Date getCouponCreateDate() {
		return couponCreateDate;
	}
	public void setCouponCreateDate(Date couponCreateDate) {
		this.couponCreateDate = couponCreateDate;
	}
	public Date getCouponUpdateDate() {
		return couponUpdateDate;
	}
	public void setCouponUpdateDate(Date couponUpdateDate) {
		this.couponUpdateDate = couponUpdateDate;
	}
	public Integer getCouponIsGive() {
		return couponIsGive;
	}
	public void setCouponIsGive(Integer couponIsGive) {
		this.couponIsGive = couponIsGive;
	}
	public Integer getCouponPriorityLevels() {
		return couponPriorityLevels;
	}
	public void setCouponPriorityLevels(Integer couponPriorityLevels) {
		this.couponPriorityLevels = couponPriorityLevels;
	}
	public String getCouponRemark() {
		return couponRemark;
	}
	public void setCouponRemark(String couponRemark) {
		this.couponRemark = couponRemark;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	@Override
	public String toString() {
		return "CouponType [couponId=" + couponId + ", couponName="
				+ couponName + ", couponTotal=" + couponTotal
				+ ", couponUsedNum=" + couponUsedNum + ", couponRemainingNum="
				+ couponRemainingNum + ", couponGetLimit=" + couponGetLimit
				+ ", couponType=" + couponType + ", couponIsConcern="
				+ couponIsConcern + ", couponIsPurchase=" + couponIsPurchase
				+ ", couponConsumeEnough=" + couponConsumeEnough
				+ ", couponReduce=" + couponReduce + ", couponGetDays="
				+ couponGetDays + ", couponLimitHours=" + couponLimitHours
				+ ", couponEndDate=" + couponEndDate + ", couponCreateDate="
				+ couponCreateDate + ", couponUpdateDate=" + couponUpdateDate
				+ ", couponIsGive=" + couponIsGive + ", couponPriorityLevels="
				+ couponPriorityLevels + ", couponRemark=" + couponRemark
				+ ", page=" + page + "]";
	}
	
}
